Bug 106444 - Disk Druid
Disk Druid
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-07 01:13 EDT by Kazuyuki Okamoto
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (75.24 KB, text/plain)
2003-10-07 01:19 EDT, Kazuyuki Okamoto
no flags Details

  None (edit)
Description Kazuyuki Okamoto 2003-10-07 01:13:49 EDT
Description of problem:
Can not allocate the Software RAID member 37th (/dev/hda36)  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.make Software RAID menber from 1 to 36
2.make RAID drive (/dev/md0 to /dev/md
3.
    
Actual results:
Abend

Expected results:


Additional info:
Comment 1 Kazuyuki Okamoto 2003-10-07 01:19:47 EDT
Created attachment 94972 [details]
anacdump.txt

syslog was
<4>Linux version 2.4.21-1.1931.2.399.entBOOT (bhcompile@daffy.perf.redhat.com)
(gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-16)) #1 Wed Aug 20 15:43:23
EDT
2003
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
<4> BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000002f7f0000 (usable)
<4> BIOS-e820: 000000002f7f0000 - 000000002f7f3000 (ACPI NVS)
<4> BIOS-e820: 000000002f7f3000 - 000000002f800000 (ACPI data)
<4> BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
<5>759MB LOWMEM available.
<4>On node 0 totalpages: 194544
<4>zone(0): 4096 pages.
<4>zone(1): 190448 pages.
<4>zone(2): 0 pages.
<4>Kernel command line: initrd=initrd.img BOOT_IMAGE=vmlinuz
<6>Initializing CPU#0
<4>Detected 1991.925 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 3971.48 BogoMIPS
<6>Memory: 761492k/778176k available (1263k kernel code, 14124k reserved, 357k
data, 136k init, 0k highmem)
<4>zapping low mappings.
<6>Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
<6>Inode cache hash table entries: 65536 (order: 7, 524288 bytes)
<6>Mount cache hash table entries: 512 (order: 0, 4096 bytes)
<6>Buffer cache hash table entries: 65536 (order: 6, 262144 bytes)
<4>Page-cache hash table entries: 262144 (order: 8, 1048576 bytes)
<6>CPU: Trace cache: 12K uops, L1 D cache: 8K
<6>CPU: L2 cache: 512K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: bfebfbff 00000000 00000000 00000000
<7>CPU: 	    Common caps: bfebfbff 00000000 00000000 00000000
<4>CPU: Intel(R) Pentium(R) 4 CPU 2.00GHz stepping 07
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>Process timing init...done.
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>PCI: PCI BIOS revision 2.10 entry at 0xfb2e0, last bus=1
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<6>PCI: Using IRQ router SIS [1039/0008] at 00:02.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<6>BIOS EDD facility v0.09 2003-Jan-22, 1 devices found
<4>Starting kswapd
<5>aio_setup: num_physpages = 48636
<5>aio_setup: sizeof(struct page) = 52
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ
SERIAL_PCI enabled
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>NET4: Frame Diverter 0.46
<4>RAMDISK driver initialized: 256 RAM disks of 8192K size 1024 blocksize
<6>loop: loaded (max 8 devices)
<6>Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
<6>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<6>SIS5513: IDE controller at PCI slot 00:02.5
<6>SIS5513: chipset revision 208
<6>SIS5513: not 100% native mode: will probe irqs later
<4>SiS650    ATA 100 (2nd gen) controller
<6>    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio
<6>    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:pio
<4>hda: WDC WD400EB-00CPF0, ATA DISK drive
<4>blk: queue c030f360, I/O limit 4095Mb (mask 0xffffffff)
<4>hdc: CD-W540E, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<4>hda: attached ide-disk driver.
<4>hda: host protected area => 1
<6>hda: setmax LBA 78165360, native  78125040
<6>hda: 78125040 sectors (40000 MB) w/2048KiB Cache, CHS=4863/255/63, UDMA(100)

<4>hdc: attached ide-cdrom driver.
<6>hdc: ATAPI 40X CD-ROM CD-R/RW drive, 8192kB Cache, UDMA(33)
<6>Uniform CD-ROM driver Revision: 3.12
<6>ide-floppy driver 0.99.newide
<6>Partition check:
<6> hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 hda9 >
<6>ide-floppy driver 0.99.newide
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>PCI: Found IRQ 10 for device 00:0e.2
<6>PCI: Sharing IRQ 10 with 00:0c.0
<6>ehci-hcd 00:0e.2: PCI device 1033:00e0
<6>ehci-hcd 00:0e.2: irq 10, pci mem f000d000
<6>usb.c: new USB bus registered, assigned bus number 1
<4>PCI: 00:0e.2 PCI cache line size set incorrectly (32 bytes) by BIOS/FW.
<4>PCI: 00:0e.2 cache line size too large - expecting 16.
<6>ehci-hcd 00:0e.2: USB 2.0 enabled, EHCI 0.95, driver 2003-Jan-22
<6>hub.c: USB hub found
<6>hub.c: 4 ports detected
<6>host/usb-uhci.c: $Revision: 1.275 $ time 15:45:27 Aug 20 2003
<6>host/usb-uhci.c: High bandwidth mode enabled
<6>host/usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
<6>SiS router pirq escape (96)
<6>SiS router pirq escape (96)
<6>host/usb-ohci.c: USB OHCI at membase 0xf000f000, IRQ 11
<6>host/usb-ohci.c: usb-00:02.2, PCI device 1039:7001
<6>usb.c: new USB bus registered, assigned bus number 2
<6>hub.c: USB hub found
<6>hub.c: 3 ports detected
<6>SiS router pirq escape (99)
<6>SiS router pirq escape (99)
<6>host/usb-ohci.c: USB OHCI at membase 0xf0011000, IRQ 4
<6>host/usb-ohci.c: usb-00:02.3, PCI device 1039:7001
<6>usb.c: new USB bus registered, assigned bus number 3
<6>hub.c: USB hub found
<6>hub.c: 3 ports detected
<6>PCI: Found IRQ 3 for device 00:0e.0
<6>host/usb-ohci.c: USB OHCI at membase 0xf0013000, IRQ 3
<6>host/usb-ohci.c: usb-00:0e.0, PCI device 1033:0035
<6>usb.c: new USB bus registered, assigned bus number 4
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>hub.c: new USB device 00:02.3-1, assigned address 2
<4>usb.c: USB device 2 (vend/prod 0x46d/0xc001) is not claimed by any active
driver.
<6>PCI: Found IRQ 11 for device 00:0e.1
<6>PCI: Sharing IRQ 11 with 00:0f.0
<6>host/usb-ohci.c: USB OHCI at membase 0xf0015000, IRQ 11
<6>host/usb-ohci.c: usb-00:0e.1, PCI device 1033:0035
<6>usb.c: new USB bus registered, assigned bus number 5
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>hub.c: new USB device 00:02.2-1, assigned address 2
<6>hub.c: USB hub found
<6>usb.c: registered new driver hiddev
<6>hub.c: 3 ports detected
<6>usb.c: registered new driver hid
<6>input0: USB HID v1.00 Mouse [Logitech] on usb3:2.0
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>mice: PS/2 mouse device common for all mice
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP: routing cache hash table of 8192 buckets, 64Kbytes
<6>TCP: Hash tables configured (established 262144 bind 65536)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 1957k freed
<4>VFS: Mounted root (ext2 filesystem).
<7>vga16fb: initializing
<6>vga16fb: mapped to 0xc00a0000
<4>Console: switching to colour frame buffer device 80x30
<6>fb0: VGA16 VGA frame buffer device
<6>hub.c: new USB device 00:02.2-1.1, assigned address 3
<6>input1: USB HID v1.10 Keyboard [Fujitsu Takamisawa USB Keyboard] on usb2:3.0

<6>input2: USB HID v1.10 Pointer [Fujitsu Takamisawa USB Keyboard] on usb2:3.1
<6>SCSI subsystem driver Revision: 1.00
<6>8139too Fast Ethernet driver 0.9.26
<6>PCI: Found IRQ 10 for device 00:0c.0
<6>PCI: Sharing IRQ 10 with 00:0e.2
<7>divert: allocating divert_blk for eth0
<6>eth0: RealTek RTL8139 Fast Ethernet at 0xf008d000, 00:0a:e4:61:aa:52, IRQ 10

<7>eth0:  Identified 8139 chip type 'RTL-8139C'
<6>PCI: Found IRQ 11 for device 00:0f.0
<6>PCI: Sharing IRQ 11 with 00:0e.1
<7>divert: allocating divert_blk for eth1
<6>eth1: RealTek RTL8139 Fast Ethernet at 0xf008f000, 00:07:40:88:a7:8e, IRQ 11

<7>eth1:  Identified 8139 chip type 'RTL-8139C'
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<4>Unable to identify CD-ROM format.
<4>Unable to identify CD-ROM format.
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs	:  2276.000 MB/sec
<4>   32regs	:  1514.400 MB/sec
<4>   pIII_sse	:  2594.000 MB/sec
<4>   pII_mmx	:  2382.800 MB/sec
<4>   p5_mmx	:  2297.600 MB/sec
<4>raid5: using function: pIII_sse (2594.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>LVM version 1.0.5+(22/07/2002) module loaded
<6>parport0: PC-style at 0x378 [PCSPP(,...)]
<4>Warning: Remapping obsolete /dev/fb* minor 32 to 1
<4>Warning: Remapping obsolete /dev/fb* minor 64 to 2
<4>Warning: Remapping obsolete /dev/fb* minor 96 to 3
<4>Warning: Remapping obsolete /dev/fb* minor 128 to 4
<4>Warning: Remapping obsolete /dev/fb* minor 160 to 5
<4>Warning: Remapping obsolete /dev/fb* minor 192 to 6
<4>Warning: Remapping obsolete /dev/fb* minor 224 to 7
<6> [events: 0000000e]
<6> [events: 0000000e]
<6>md: autorun ...
<6>md: considering hda5 ...
<6>md:	adding hda5 ...
<6>md:	adding hda3 ...
<6>md: created md0
<6>md: bind<hda3,1>
<4>md0: WARNING: hda5 appears to be on the same physical disk as hda3. True
<4>	protection against single-disk failure might be compromised.
<6>md: bind<hda5,2>
<6>md: running: <hda5><hda3>
<6>md: hda5's event counter: 0000000e
<6>md: hda3's event counter: 0000000e
<6>md: RAID level 1 does not need chunksize! Continuing anyway.
<6>md0: max total readahead window set to 124k
<6>md0: 1 data-disks, max readahead per data-disk: 124k
<6>raid1: device hda5 operational as mirror 1
<6>raid1: device hda3 operational as mirror 0
<6>raid1: raid set md0 active with 2 out of 2 mirrors
<6>md: ... autorun DONE.
<6> [events: 0000000e]
<6> [events: 0000000e]
<6>md: autorun ...
<6>md: considering hda7 ...
<6>md:	adding hda7 ...
<6>md:	adding hda6 ...
<6>md: created md1
<6>md: bind<hda6,1>
<4>md1: WARNING: hda7 appears to be on the same physical disk as hda6. True
<4>	protection against single-disk failure might be compromised.
<6>md: bind<hda7,2>
<6>md: running: <hda7><hda6>
<6>md: hda7's event counter: 0000000e
<6>md: hda6's event counter: 0000000e
<6>md1: max total readahead window set to 512k
<6>md1: 2 data-disks, max readahead per data-disk: 256k
<4>raid0: looking at hda6
<4>raid0:   comparing hda6(5245120) with hda6(5245120)
<4>raid0:   END
<4>raid0:   ==> UNIQUE
<4>raid0: 1 zones
<4>raid0: looking at hda7
<4>raid0:   comparing hda7(5245120) with hda6(5245120)
<4>raid0:   EQUAL
<4>raid0: FINAL 1 zones
<4>raid0: zone 0
<4>raid0: checking hda6 ... contained as device 0
<4>  (5245120) is smallest!.
<4>raid0: checking hda7 ... contained as device 1
<4>raid0: zone->nb_dev: 2, size: 10490240
<4>raid0: current zone offset: 5245120
<4>raid0: done.
<4>raid0 : md_size is 10490240 blocks.
<4>raid0 : conf->smallest->size is 10490240 blocks.
<4>raid0 : nb_zone is 1.
<4>raid0 : Allocating 8 bytes for hash.
<6>md: ... autorun DONE.
<6> [events: 0000000e]
<6> [events: 0000000e]
<6>md: autorun ...
<6>md: considering hda9 ...
<6>md:	adding hda9 ...
<6>md:	adding hda8 ...
<6>md: created md2
<6>md: bind<hda8,1>
<4>md2: WARNING: hda9 appears to be on the same physical disk as hda8. True
<4>	protection against single-disk failure might be compromised.
<6>md: bind<hda9,2>
<6>md: running: <hda9><hda8>
<6>md: hda9's event counter: 0000000e
<6>md: hda8's event counter: 0000000e
<6>md2: max total readahead window set to 512k
<6>md2: 2 data-disks, max readahead per data-disk: 256k
<4>raid0: looking at hda8
<4>raid0:   comparing hda8(393472) with hda8(393472)
<4>raid0:   END
<4>raid0:   ==> UNIQUE
<4>raid0: 1 zones
<4>raid0: looking at hda9
<4>raid0:   comparing hda9(393472) with hda8(393472)
<4>raid0:   EQUAL
<4>raid0: FINAL 1 zones
<4>raid0: zone 0
<4>raid0: checking hda8 ... contained as device 0
<4>  (393472) is smallest!.
<4>raid0: checking hda9 ... contained as device 1
<4>raid0: zone->nb_dev: 2, size: 786944
<4>raid0: current zone offset: 393472
<4>raid0: done.
<4>raid0 : md_size is 786944 blocks.
<4>raid0 : conf->smallest->size is 786944 blocks.
<4>raid0 : nb_zone is 1.
<4>raid0 : Allocating 8 bytes for hash.
<6>md: ... autorun DONE.
<6>md: marking sb clean...
<6>md: md0 stopped.
<6>md: unbind<hda5,1>
<6>md: export_rdev(hda5)
<6>md: unbind<hda3,0>
<6>md: export_rdev(hda3)
<6>md: marking sb clean...
<6>md: md1 stopped.
<6>md: unbind<hda7,1>
<6>md: export_rdev(hda7)
<6>md: unbind<hda6,0>
<6>md: export_rdev(hda6)
<6>md: marking sb clean...
<6>md: md2 stopped.
<6>md: unbind<hda9,1>
<6>md: export_rdev(hda9)
<6>md: unbind<hda8,0>
<6>md: export_rdev(hda8)
Comment 2 Jeremy Katz 2003-10-09 13:13:27 EDT
How was your drive set up before your installation?  What partitions did you
create to get this to occur?
Comment 3 Kazuyuki Okamoto 2003-10-17 07:24:32 EDT
> How was your drive set up before your installation?  
> What partitions did you create to get this to occur?

I installed many time in this drive. I changed md combination.
I created the SoftRAID partitions,
100MB+100MB (RAID 1) for /boot
5120MB+5120MB (RAID 0) for /
768MB+768MB (RAID 0) for /tmp1
768MB+768MB (RAID 0) for /tmp2
768MB+768MB (RAID 0) for /tmp3
384MB+384MB+384MB (RAID 0) for /tmp4
1536MB+1536MB (RAID 1) for /tmp5
1536MB+1536MB (RAID 1) for /tmp6
1536MB+1536MB (RAID 1) for /tmp7
768MB+768MB+768MB (RAID 5) for /tmp8
512MB+512MB+512MB+512MB (RAID 5) for /tmp9
384MB+384MB+384MB+384MB+384MB (RAID 5) for /tmp10
768MB (NON RAID) for /tmp11
All partitions are ext3 file system.
Those are for bonnie++ benchmark.
And 384MB+384MB (RAID0) for swap.

P.S. anather parttions are for Windows 2000 (10GB) and
BootSelecter (100MB) .

Thanks in advance.
Comment 4 Jeremy Katz 2005-02-01 17:39:14 EST
This is now fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.